Subject: Re: What's wrong? gcc brain-damaged on cygwin?
From: Florin Jurcovici <[email-masked]>
To: Cygwin mailing list <[email-masked]>
Date: Sun, 22 Dec 2002 19:55:53 +0200

Hello.

> Why in the world are you creating your own gcc?
:-)
Just a reflex - I use to build everything from sources, no matter if on Linux directly or on cygwin, so from time to time I 
just get fresh sources from the gnu site or one of the mirrors, and build the new vers. Since ./configure, make and make 
install seem to work flawlesly in most cases, I don't see any problem with this. In fact, I like it more when configure tells 
me about something missing than if for instance rpm on linux telling me so. (Does LFS sound familiar to you? It's the only way 
I appreciate a clean and solid linux system can be built. Which gives me an idea: cygwin from scratch   :-)

From the answer below I started to think there must be something fishy in the installation of gcc on my machine. So I did a 
search through the file system, dumped the search paths for gcc, got some ideas and tried again:

XXX@yyy /tmp
$ g++ -I/usr/local/include -L/usr/local/lib testnewchar.cc
cc1plus.exe: warning: changing search order for system directory "/usr/local/include"
cc1plus.exe: warning:   as it has already been specified as a non-system directory

And magically it worked!

And you ppl which said gcc <file>.cc doesn't compile properly as C++ are right: the same command with gcc instead of g++, 
doesn't work if I add a simple #include <iostream> at the beginning and some cout << <something> in the code.

Best regards, and thanks a lot to all ppl which helped me solve the mistery. And merry Christmas and a happy new year.

Florin Jurcovici
[email-masked]
-----------------
Complex problems have simple, easy to understand wrong answers.

22 Dec 2002 17:59:08, "Dockeen" <[email-masked]> wrote:

>"Could it be that when compiling and installing gcc with 
>--enable-languages=c++ only gcc doesn't install some 
>essential libs?"
>
> Why in the world are you creating your own gcc? I used to do it
>just because I wanted to use the gcc-3.1 code, but it is darn
>tricky and completely unneccessary now, as gcc comes pre-built
>in the devel directory.  If there is something unique you want
>to do with a version of gcc, make a parallel build, don't build
>over Cygwin's gcc.
I couldn't find any problem until now (re. "darn tricky") with building anything from sources, right over of cygwin's originals 
binaries. I _did_ build over cygwin's gcc, it seems the only problem is I didn't build in the same path - I'll fix this asap 
anyway - I usually don't change default prefixes, and the precompiled gcc for cygwin doesn't install by default into 
/usr/local.

Regarding long build times: the heaviest build of all stuff I periodically recompile is glibc - gcc compiles faster. Not even 
glibc takes longer than 1 hour, and I find this acceptable, since gcc on NT doesn't kill the OS, and I can do other things in 
the meantime.

>When I was creating my own stuff, I was creating it as an additional
>compiler to the Cygwin compiler.  I created it in a directory I called
>mygcc.  And I believe, if memory served, when I compiled I had to
>do something like the following (I had aliased my new compiler to
>newg++):
>
>newg++ hello.cpp -L\mygcc\lib
>
>to make sure that the libstdc++ stuff got found.
>
>But again, I would not do a build of gcc now, certainly not one that
>replaces the Cygwin binaries.
>
>Wayne Keen
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/